MarinerWrtTextInternal::Zone Struct Reference documentation

Classes | Public Member Functions | Public Attributes | List of all members
MarinerWrtTextInternal::Zone Struct Reference

Internal: struct used to store zone data of a MarinerWrtText. More...

## Classes
struct | Information
| struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone More...

## Public Member Functions
| Zone (int zId)
| constructor
bool | getPosition (long cPos, long &fPos, size_t &subZone) const
| returns the file position and the number of the sub zone
long | length () const
| returns the zone length
bool | getFont (int id, Font &ft) const
| returns a fonts corresponding to an id (if possible)
bool | getRuler (int id, Paragraph &ruler) const
| returns a ruler corresponding to an id (if possible)

## Public Attributes
int | m_id
| the zone id
std::vector< Information > | m_infoList
| the list of information of the text in the file
std::vector< Font > | m_fontList
| a list of font
std::vector< Paragraph > | m_rulerList
| a list of ruler
std::map< int, int > | m_idFontMap
| a map id -> fontId
std::map< long, int > | m_posFontMap
| a map pos -> fontId
std::map< long, int > | m_posRulerMap
| a map pos -> rulerId
int | m_actZone
| a index used to know the next zone in MarinerWrtText::readZone
bool | m_parsed
| a flag to know if the zone is parsed

## Detailed Description

Internal: struct used to store zone data of a MarinerWrtText.

## Constructor & Destructor Documentation

## ◆ Zone()

MarinerWrtTextInternal::Zone::Zone | ( | int | zId | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getFont()

bool MarinerWrtTextInternal::Zone::getFont | ( | int | id,
|  | Font & | ft ) const
| inline

returns a fonts corresponding to an id (if possible)

Referenced by MarinerWrtText::send().

## ◆ getPosition()

bool MarinerWrtTextInternal::Zone::getPosition | ( | long | cPos,
|  | long & | fPos,
|  | size_t & | subZone ) const
| inline

returns the file position and the number of the sub zone

Referenced by MarinerWrtText::findTableStructure(), and MarinerWrtText::send().

## ◆ getRuler()

bool MarinerWrtTextInternal::Zone::getRuler | ( | int | id,
|  | Paragraph & | ruler ) const
| inline

returns a ruler corresponding to an id (if possible)

Referenced by MarinerWrtText::findTableStructure(), MarinerWrtText::send(), and MarinerWrtText::sendTable().

## ◆ length()

long MarinerWrtTextInternal::Zone::length | ( |  | ) | const
| inline

returns the zone length

## Member Data Documentation

## ◆ m_actZone

int MarinerWrtTextInternal::Zone::m_actZone

a index used to know the next zone in MarinerWrtText::readZone

## ◆ m_fontList

std::vector<Font> MarinerWrtTextInternal::Zone::m_fontList

a list of font

## ◆ m_id

int MarinerWrtTextInternal::Zone::m_id

the zone id

Referenced by MarinerWrtText::send().

## ◆ m_idFontMap

std::map<int,int> MarinerWrtTextInternal::Zone::m_idFontMap

a map id -> fontId

## ◆ m_infoList

std::vector<Information> MarinerWrtTextInternal::Zone::m_infoList

the list of information of the text in the file

Referenced by MarinerWrtText::computeNumPages(), MarinerWrtText::findTableStructure(), and MarinerWrtText::send().

## ◆ m_parsed

bool MarinerWrtTextInternal::Zone::m_parsed
| mutable

a flag to know if the zone is parsed

Referenced by MarinerWrtText::send().

## ◆ m_posFontMap

std::map<long,int> MarinerWrtTextInternal::Zone::m_posFontMap

a map pos -> fontId

Referenced by MarinerWrtText::send().

## ◆ m_posRulerMap

std::map<long,int> MarinerWrtTextInternal::Zone::m_posRulerMap

a map pos -> rulerId

Referenced by MarinerWrtText::findTableStructure(), and MarinerWrtText::send().

## ◆ m_rulerList

std::vector<Paragraph> MarinerWrtTextInternal::Zone::m_rulerList

a list of ruler

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx